maemo.org - Talk

maemo.org - Talk (https://talk.maemo.org/index.php)
-   Nokia N900 (https://talk.maemo.org/forumdisplay.php?f=44)
-   -   Metasploit N900 install (https://talk.maemo.org/showthread.php?t=81816)

stevomanu 2012-01-23 20:14

Metasploit N900 install
 
http://www.metasploit.com/images/global/logo.png install for N900
FOR ALL THOSE HAVING ISSUES UNDERSTANDING THIS PROGRAM CHECK OUT THIS SITE ALL YOUR QUESTIONS ARE ANSWERED ....


For those that want to know more about metasploit check out there site for more info Here is link



First download latest metasploit package 75MB

I recommend extarcting this on a pc as extracted its 347MB and seems to cause problems
when using filebox im guessing terminal might work better but i just used pc as its easyer ..

I placed MSF folder in

Code:

/home/opt/
Then chance to metasploit directory

Code:

cd /home/opt/msf/
Code:

chmod +x msfconsole
Once folder is in place you will need to install the following packages

Code:

apt-get install ruby1.8 irb1.8 rdoc1.8 libopenssl-ruby1.8 subversion
Downlaod this pack of rubygems 1.8.10 as its the only version i could seem
to get working with metasploit ..

Extract to
Code:

/home/opt/
and then in terminal

Code:

cd /home/opt/rubygems-1.8.10
Code:

ruby1.8 setup.rb
if all goes well you should end up with

https://dl.dropbox.com/u/44965378/sc...123-200045.png


Then finally we are ready to load up Metasploit

Code:

ruby1.8 /home/opt/msf/msfconsole -L
https://dl.dropbox.com/u/44965378/sc...123-194322.png

when you try and update the framework you will get svn, segmentation fault
follow this tutorial to fix this issue

Wow my first big post not the best but as there wasn't a Metasploit install here i had to give it ago , Its not the easiest program to use but can be so much fun .. If you have any suggestions or problems please give me a shout i will do my best to help .....






:D

stevomanu 2012-01-23 20:17

Re: Metasploit N900 install
 
Will add some commands and exploits here very soon ....:D

q6600 2012-01-23 21:39

Re: Metasploit N900 install
 
Metasploit - The Penetration Testers Guide - 2011 pdf

http://pcsci3nce.info/?p=441
thx to Unhuman

udaychaitanya16 2012-01-25 04:44

Re: Metasploit N900 install
 
Awesome.I have been trying to install metasploit since ages.Ruby gems created problem every time.Your tutorial helped me to have the console.Thank you very much.

stevomanu 2012-01-25 05:12

Re: Metasploit N900 install
 
No problem glad you like it . have fun

Quote:

Originally Posted by udaychaitanya16 (Post 1155301)
Awesome.I have been trying to install metasploit since ages.Ruby gems created problem every time.Your tutorial helped me to have the console.Thank you very much.


chatbox 2012-01-25 13:47

Re: Metasploit N900 install
 
To get SVN working, you need the following (otherwise, svn will seg fault):
Code:

root
apt-get install libaprutil1=1.3.9-2
apt-get install libapr1=1.4.2-1

Referenced from: http://talk.maemo.org/showthread.php?t=70570&page=6

Then, I also ran:
Code:

cd /home/opt/msf/
chmod +x msfupdate
ruby1.8 msfupdate


trisha02 2012-01-25 14:01

Re: Metasploit N900 install
 
noob question- what can you do with metasploit. please explain it fr a noob. plzz

jedi 2012-01-25 14:08

Re: Metasploit N900 install
 
Quote:

Originally Posted by trisha02 (Post 1155482)
noob question- what can you do with metasploit. please explain it fr a noob. plzz

Read the first sentence in the first post. Then click the link. If you still don't understand, it's not for you...

If you can't be bothered to do that, Google will help...

trisha02 2012-01-25 14:35

Re: Metasploit N900 install
 
sorry. i read evrythng. but still dint know all these terms. i just wanted to learn from you guys who are expert. its okay. i used cleven, yamas to hack. so i thought i could do it too. sorry again. dnt hav to explain :) take care

sr00t 2012-01-25 16:06

Re: Metasploit N900 install
 
sorry but the untar of the archive goes for 124 mb uncompressed...is that right?


All times are GMT. The time now is 13:26.

vBulletin® Version 3.8.8